directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Karasulu (JIRA)" <>
Subject [jira] Updated: (DIRLDAP-25) Ldif files must begin with "version: 1"
Date Fri, 28 Jan 2005 16:19:20 GMT
     [ ]

Alex Karasulu updated DIRLDAP-25:

        Version: 0.8.0
    Fix Version: 0.8.1

Nice! Sounds like you've got some serious experience in LDAP.  Funny I noticed the same ldifde.exe
behavoir.  With your help we can make sure we're much more compliant.  Also I don't think
we support modification operations other than adds in the ldif.  This is something that must
be looked into.

You're more than welcome to tackle all this ;).



P.S. Again pushing this to 0.8.1.

> Ldif files must begin with "version: 1"
> ---------------------------------------
>          Key: DIRLDAP-25
>          URL:
>      Project: Directory LDAP
>         Type: Bug
>     Versions: 0.8.0
>  Environment: not relevant
>     Reporter: Emmanuel Lecharny
>     Assignee: Alex Karasulu
>     Priority: Trivial
>      Fix For: 0.8.1

> RFC 2849 states that a ldif file must start with the 'version: 1' string. LdifParserImpl
does accept files that don't respect this rule.
> It was marked Trivial as this is really not an issue : Microsoft(TM) ldifde.exe tool
accept those kind of files (even worse : it does NOT accept files with a 'version: 1' string
...). I think that it should be an option, but at least, it should verify that the version
number is '1', if present ! (p.5, par.1) 
> BTW, RFC2849 is not very clear on this subject, and could be interpreted as "If <version-spec>
is absent, ..." instead of "If version number is absent..."

This message is automatically generated by JIRA.
If you think it was sent incorrectly contact one of the administrators:
If you want more information on JIRA, or have a bug to report see:

View raw message